Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Platform » Problems with equinox console in 4.2M4
Problems with equinox console in 4.2M4 [message #775843] Fri, 06 January 2012 19:18 Go to next message
Cristiano Gaviao is currently offline Cristiano Gaviao
Messages: 253
Registered: July 2009
Senior Member
Hi,

I'm trying to use my equinox application with 4.2M4 but I can't use my console commands.

When I call help, I can see this:


osgi> help
equinox:jbStatus
equinox:jbRunStoriesWithAnnotatedEmbedder
equinox:confapply
equinox:comp
equinox:component


The compatibility component add my command at equinox group.

When I try to call it I receive this error:


osgi> equinox:jbRunStoriesWithAnnotatedEmbedder TraderAnnotatedEmbedder
gogo: IllegalArgumentException: Cannot find the command method for: _jbrunstorieswithannotatedembedder

osgi> jbRunStoriesWithAnnotatedEmbedder TraderAnnotatedEmbedder
gogo: IllegalArgumentException: Cannot find the command method for: _jbrunstorieswithannotatedembedder


can someone tell me what I need to do to make my commands to work with juno ?

thanks and regards
Re: Problems with equinox console in 4.2M4 [message #776062 is a reply to message #775843] Sat, 07 January 2012 10:30 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas Schindl
Messages: 5407
Registered: July 2009
Senior Member
Probably better asked at equinox-newsgroup. I know that equinox has
switched the console implementation IIRC.

Tom

Am 06.01.12 20:18, schrieb Cristiano avi:
> Hi,
>
> I'm trying to use my equinox application with 4.2M4 but I can't use my
> console commands.
>
> When I call help, I can see this:
>
>
> osgi> help
> equinox:jbStatus
> equinox:jbRunStoriesWithAnnotatedEmbedder
> equinox:confapply
> equinox:comp
> equinox:component
>
>
> The compatibility component add my command at equinox group.
>
> When I try to call it I receive this error:
>
>
> osgi> equinox:jbRunStoriesWithAnnotatedEmbedder TraderAnnotatedEmbedder
> gogo: IllegalArgumentException: Cannot find the command method for:
> _jbrunstorieswithannotatedembedder
>
> osgi> jbRunStoriesWithAnnotatedEmbedder TraderAnnotatedEmbedder
> gogo: IllegalArgumentException: Cannot find the command method for:
> _jbrunstorieswithannotatedembedder
>
>
> can someone tell me what I need to do to make my commands to work with
> juno ?
>
> thanks and regards
Re: Problems with equinox console in 4.2M4 [message #776064 is a reply to message #776062] Sat, 07 January 2012 10:41 Go to previous messageGo to next message
Cristiano Gaviao is currently offline Cristiano Gaviao
Messages: 253
Registered: July 2009
Senior Member
Well, I'll do it...

There are so many places in this forums that sometimes is hard to discover which one to use Smile

regards
Re: Problems with equinox console in 4.2M4 [message #777005 is a reply to message #776064] Mon, 09 January 2012 16:32 Go to previous message
Paul Webster is currently offline Paul Webster
Messages: 6859
Registered: July 2009
Location: Ottawa
Senior Member

You need the org.apache.felix.gogo.* bundles now to get a useful OSGi console.

PW


Previous Topic:Why develop an Eclipse plugin?
Next Topic:LanguageBug on non english systems.
Goto Forum:
  


Current Time: Thu Oct 23 02:19:04 GMT 2014

Powered by FUDForum. Page generated in 0.02324 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software